Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class XMLDescriptor

`java.lang.Object
oracle.toplink.publicinterface.Descriptor
oracle.toplink.sdk.SDKDescriptor
oracle.toplink.xml.XMLDescriptor`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class XMLDescriptor
extends SDKDescriptor

`XMLDescriptor` extends the `SDKDescriptor` protocol with a number of defaults and helper methods that simplify the use of XML data store.

Since:
  TOPLink/Java 3.0
See Also:
  `XMLCall`, Serialized Form

Field Summary

Fields inherited from class oracle.toplink.publicinterface.Descriptor
`DO_NOT_SEND_CHANGES, INVALIDATE_CHANGED_OBJECTS, SEND_NEW_OBJECTS_WITH_CHANGES, SEND_OBJECT_CHANGES, UNDEFINED_OBJECT_CHANGE_BEHAVIOR`

Constructor Summary
`XMLDescriptor()` Deprecated. PUBLIC: Default constructor.

Method Summary
`void` | `addPrimaryKeyElementName(java.lang.String elementName)` Deprecated. PUBLIC: Add a primary key element for the descriptor.
`java.util.Vector` | `getPrimaryKeyElementNames()` Deprecated. PUBLIC: Return the names of all the primary key elements.
`java.lang.String` | `getRootElementName()` Deprecated. PUBLIC: Return the root element name for the class of objects the descriptor maps.
`java.lang.String` | `getSequenceNumberElementName()` Deprecated. PUBLIC: Return sequence number element name.
`void` | `setJavaClass(java.lang.Class javaClass)` Deprecated. PUBLIC: Set the Java class that this descriptor maps.
`void` | `setPrimaryKeyElementName(java.lang.String elementName)` Deprecated. PUBLIC: Specify the primary key element for the descriptor.
`void` | `setPrimaryKeyElementNames(java.lang.String[] primaryKeyElementNames)` Deprecated. PUBLIC: Specify an array of all the primary key element names, if the primary key is composed of multiple elements.
`void` | `setPrimaryKeyElementNames(java.util.Vector primaryKeyElementNames)` Deprecated. PUBLIC: Specify a vector of all the primary key element names, if the primary key is composed of multiple elements.
`void` | `setRootElementName(java.lang.String rootElementName)` Deprecated. PUBLIC: Specify the root element name for the class of objects the descriptor maps.
`void` | `setSequenceNumberElementName(java.lang.String elementName)` Deprecated. PUBLIC: Set the sequence number element name.

Methods inherited from class oracle.toplink.sdk.SDKDescriptor
`addReadAllCall, addReadAllCall, addReadAllCall, addReadAllCall, addReadAllCall, addReadAllCall, addReadObjectCall, addReadObjectCall, addReadObjectCall, addReadObjectCall, addReadObjectCall, addReadObjectCall, addReadTranslation, addReadTranslations, addReadTranslations, addWriteTranslation, addWriteTranslations, addWriteTranslations, getDataTypeName, setDataTypeName, setDeleteCall, setDoesExistCall, setInsertCall, setQueryManager, setReadAllCall, setReadObjectCall, setUpdateCall`

Methods inherited from class oracle.toplink.publicinterface.Descriptor
`addAbstractQueryKey, addConstraintDependencies, addDirectMapping, addDirectMapping, addDirectQueryKey, addMapping, addMultipleTableForeignKeyFieldName, addMultipleTablePrimaryKeyFieldName, addPrimaryKeyField, addPrimaryKeyFieldName, addQueryKey, addTableName, alwaysConformResultsInUnitOfWork, alwaysRefreshCache, alwaysRefreshCacheOnRemote, applyAmendmentMethod, createCopyPolicy, createInstantiationPolicy, descriptorIsAggregate, descriptorIsAggregateCollection, descriptorIsForInterface, descriptorIsNormal, disableCacheHits, disableCacheHitsOnRemote, dontAlwaysConformResultsInUnitOfWork, dontAlwaysRefreshCache, dontAlwaysRefreshCacheOnRemote, dontDisableCacheHits, dontDisableCacheHitsOnRemote, dontOnlyRefreshCacheIfNewerVersion, getAlias, getAmendmentClass, getAmendmentMethodName, getCacheInvalidationPolicy, getCacheSynchronizationType, getCMPPolicy, getConstraintDependencies, getDescriptorType, getEventManager, getFetchGroupManager, getHistoryPolicy, getIdentityMapSize, getInheritancePolicy, getInterfacePolicy, getJavaClass, getJavaClassName, getMappingForAttributeName, getMappings, getObjectChangePolicy, getOptimisticLockingPolicy, getPrimaryKeyFieldNames, getProperties, getProperty, getQueryKeys, getQueryManager, getRemoteIdentityMapSize, getReturningPolicy, getSequenceNumberFieldName, getSequenceNumberName, getTableName, getTableNames, getWrapperPolicy, isAggregateCollectionDescriptor, isAggregateDescriptor, isChildDescriptor, isDescriptorForInterface, isIsolated, onlyRefreshCacheIfNewerVersion, removeMappingForAttributeName, removeProperty, setAlias, setAmendmentClass, setAmendmentMethodName, setCacheInvalidationPolicy, setCacheSynchronizationType, setCMPPolicy, setConstraintDependencies, setDefaultTableName, setDescriptorType, setFetchGroupManager, setHistoryPolicy, setIdentityMapClass, setIdentityMapSize, setIsIsolated, setJavaInterface, setMultipleTableInsertOrder, setObjectChangePolicy, setOptimisticLockingPolicy, setPrimaryKeyFieldName, setPrimaryKeyFieldNames, setProperty, setReadOnly, setRemoteIdentityMapClass, setRemoteIdentityMapSize, setReturningPolicy, setSequenceNumberFieldName, setSequenceNumberName, setShouldAlwaysConformResultsInUnitOfWork, setShouldAlwaysRefreshCache, setShouldAlwaysRefreshCacheOnRemote, setShouldBeReadOnly, setShouldDisableCacheHits, setShouldDisableCacheHitsOnRemote, setShouldOnlyRefreshCacheIfNewerVersion, setShouldOrderMappings, setTableName, setTableNames, setTableQualifier, setWrapperPolicy, shouldAlwaysConformResultsInUnitOfWork, shouldAlwaysRefreshCache, shouldAlwaysRefreshCacheOnRemote, shouldBeReadOnly, shouldDisableCacheHits, shouldDisableCacheHitsOnRemote, shouldOnlyRefreshCacheIfNewerVersion, shouldUseCacheIdentityMap, shouldUseFullIdentityMap, shouldUseHardCacheWeakIdentityMap, shouldUseNoIdentityMap, shouldUseRemoteCacheIdentityMap, shouldUseRemoteFullIdentityMap, shouldUseRemoteHardCacheWeakIdentityMap, shouldUseRemoteNoIdentityMap, shouldUseRemoteSoftCacheWeakIdentityMap, shouldUseRemoteWeakIdentityMap, shouldUseSoftCacheWeakIdentityMap, shouldUseWeakIdentityMap, toString, useAllFieldsLocking, useCacheIdentityMap, useChangedFieldsLocking, useCloneCopyPolicy, useCloneCopyPolicy, useDefaultConstructorInstantiationPolicy, useFactoryInstantiationPolicy, useFactoryInstantiationPolicy, useFactoryInstantiationPolicy, useFullIdentityMap, useHardCacheWeakIdentityMap, useInstantiationCopyPolicy, useMethodInstantiationPolicy, useNoIdentityMap, useRemoteCacheIdentityMap, useRemoteFullIdentityMap, useRemoteHardCacheWeakIdentityMap, useRemoteNoIdentityMap, useRemoteSoftCacheWeakIdentityMap, useRemoteWeakIdentityMap, useSelectedFieldsLocking, useSoftCacheWeakIdentityMap, usesOptimisticLocking, usesSequenceNumbers, useTimestampLocking, useTimestampLocking, useVersionLocking, useVersionLocking, useWeakIdentityMap`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLDescriptor

    public XMLDescriptor()

  Deprecated.
  PUBLIC: Default constructor.

Method Detail

### addPrimaryKeyElementName

    public void addPrimaryKeyElementName(java.lang.String elementName)

  Deprecated.
  PUBLIC: Add a primary key element for the descriptor. This should be called for each element that makes up the primary key. The order in which these elements are added may be significant.

### getPrimaryKeyElementNames

    public java.util.Vector getPrimaryKeyElementNames()

  Deprecated.
  PUBLIC: Return the names of all the primary key elements.

### getRootElementName

    public java.lang.String getRootElementName()
                                        throws DescriptorException

  Deprecated.
  PUBLIC: Return the root element name for the class of objects the descriptor maps.
  Throws:
    `DescriptorException`

### getSequenceNumberElementName

    public java.lang.String getSequenceNumberElementName()

  Deprecated.
  PUBLIC: Return sequence number element name.

### setJavaClass

    public void setJavaClass(java.lang.Class javaClass)

  Deprecated.
  PUBLIC: Set the Java class that this descriptor maps. Every descriptor maps one and only one class.
  Overrides:
    `setJavaClass` in class `Descriptor`

### setPrimaryKeyElementName

    public void setPrimaryKeyElementName(java.lang.String elementName)

  Deprecated.
  PUBLIC: Specify the primary key element for the descriptor. This should only be called if primary key is made up of a single element; otherwise `#addPrimaryKeyElementName()` should be called.
  See Also:
    `addPrimaryKeyElementName(String)`

### setPrimaryKeyElementNames

    public void setPrimaryKeyElementNames(java.lang.String[] primaryKeyElementNames)

  Deprecated.
  PUBLIC: Specify an array of all the primary key element names, if the primary key is composed of multiple elements. The order of these elements may be significant.
  See Also:
    `addPrimaryKeyElementName(String)`

### setPrimaryKeyElementNames

    public void setPrimaryKeyElementNames(java.util.Vector primaryKeyElementNames)

  Deprecated.
  PUBLIC: Specify a vector of all the primary key element names, if the primary key is composed of multiple elements. The order of these elements may be significant.
  See Also:
    `addPrimaryKeyElementName(String)`

### setRootElementName

    public void setRootElementName(java.lang.String rootElementName)
                            throws DescriptorException

  Deprecated.
  PUBLIC: Specify the root element name for the class of objects the descriptor maps.
  Throws:
    `DescriptorException`

### setSequenceNumberElementName

    public void setSequenceNumberElementName(java.lang.String elementName)

  Deprecated.
  PUBLIC: Set the sequence number element name. This is the field whose value is to be generated by TopLink. This is normally the primary key element for the descriptor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD